Pillars of Eternity 2: Deadfire

File information

Last updated

Original upload

Created by

Spherikal and Xaratas

Uploaded by

Spherikal

Virus scan

Safe to use

199 comments

  1. Spherikal
    Spherikal
    • supporter
    • 167 posts
    • 20 kudos
    Locked
    Sticky
    Enhanced User Interface
    CREATED BY
    Spoiler:  
    Show

    Introduction
    This mod is available in four different versions. One main version that includes all features (check the description page for more information) and three modular versions for those of you who, for whatever reason, only wants some mod features.

    Please see the downloads page to find what mod version best suits your needs.

    Bug Reports
    This mod wouldn't be possible without the support from this community. If you find a bug please consider reporting it in the bugs section.

    Packages
    This mod consists of four different packages, tailored to suit every users need. We recommend downloading the Main Package as it contains implemented features and provides the best overall experience for the user. If you prefer something more bare boned, however, please feel free to select one of the other three packages available.

    Pick one of the following four options when downloading the mod:

  2. Spherikal
    Spherikal
    • supporter
    • 167 posts
    • 20 kudos
    Sticky
    Enhanced User Interface
    Mod version: 1.7.1 | Game version: 5.0

    Changelog
    Mod version 1.7.1
    - Possibly fixed an issue causing the alpha levels of the "Bloodied" keyword to spill over in unintended parts of the UI. (Special thanks to AndreaColombo for bringing this to my attention)
    Mod version 1.7.0
    - Update for German to 5.0.40. Deutsche Texte auf 5.0.40 aktualisiert.

    Bugs
    Any bugs you might encounter should be reported at our bugs section.

    Feedback
    If you have any feedback regarding this version of the mod please reply to this post (don't create a new thread).

    Archive
    - Mod Version 1.6 (Changelog)
    - Mod Version 1.5 (Changelog)
    - Mod Version 1.4 (Changelog)

    The Enhanced User Interface isn't endorsed by Obsidian Entertainment, Inc. and doesn't reflect the views or opinions of Obsidian Entertainment, Inc. or anyone officially involved with making Pillars of Eternity. Pillars of Eternity and Obsidian Entertainment and all related logos are trademarks or registered trademarks of Obsidian Entertainment, Inc. Pillars of Eternity © 2015 Obsidian Entertainment, Inc.
    1. jtrevena
      jtrevena
      • member
      • 2 posts
      • 0 kudos
      Hey just came back to PoE2:Dreadfire after a long time off and started adding in some mods, keep getting nexus mod manager inform me though that Enhanced User Interface-32-1-7-0-1558299861 is not compatible with the latest version of the game. Currently on V5.0.0.0040

    2. Spherikal
      Spherikal
      • supporter
      • 167 posts
      • 20 kudos
      I'll take a look at it this weekend to see what's up. Should be an easy fix. Regardless, you can use the mod without any risk even though it says it's out of date.

      Edit: I couldn't find anything that would cause the mod to be marked as out of date. It's been an issue with the game in the past so this issue might be related to the game rather than the mod.
    3. acbatchelor
      acbatchelor
      • premium
      • 917 posts
      • 29 kudos
      The mod works fine on version 5.0.0.0040 of the game for me. Probably just a NMM problem.
  3. Pr0totyp3
    Pr0totyp3
    • member
    • 62 posts
    • 0 kudos
    I don't know if this is asking for much but we will be getting the combined package of the latest version?

    For me. seeing rep changes to be coloured as red or green is a bit too simple

    There are some faction that I prefer getting low on, because i don't want to be mingled with them or such, but seeing it as red looks like a bad thing overall no matter what I decide..

    I would like to edit it myself but im not entirely sure how.
    1. Spherikal
      Spherikal
      • supporter
      • 167 posts
      • 20 kudos
      If you don't want colorized reputation text just remove the following text from the gui.stringtable file found in the mod folder:

      <Entry>
      <ID>4756</ID>
      <DefaultText><line-height=100%><#157245>{0} {1} reputation gained with {2}.</color></line-height></DefaultText>
      <FemaleText />
       </Entry>
       <Entry>
      <ID>4757</ID>
      <DefaultText><line-height=100%><#bf2a2a>{0} {1} reputation lost with {2}.</color></line-height></DefaultText>
      <FemaleText />
      </Entry>

      There are no plans on supporting any additional packages at this time. Sorry :(
  4. flacito
    flacito
    • member
    • 11 posts
    • 0 kudos
    Easily the best mod that is out there. Greatly enhances information provision. Thanks!
  5. mogwayess
    mogwayess
    • supporter
    • 4 posts
    • 0 kudos
    Hello,
    can we hope for a french version of this superb mod?

    1. Pr0totyp3
      Pr0totyp3
      • member
      • 62 posts
      • 0 kudos
      Modder said they wont be supporting non eng languages because they lack support, there is 1.5 version in french though

      EDIT: There is v1.6.2 in french, look at the old file section but I dont know if it will fully work with the latest version of deadfire
  6. Acesso33
    Acesso33
    • member
    • 132 posts
    • 1 kudos
    Any tips on how to use this mod alongside with the Community Patch mod? Load order or something like that... Or these mods works fine together?
    1. Spherikal
      Spherikal
      • supporter
      • 167 posts
      • 20 kudos
      Good question! It's been a while since I played PoE2 so I don't remember exactly how load orders work but the Community Patch should override this mod. I think that means that this mod should be at the top of the mod list with the Community Patch loaded afterwards.

      I should also note that there shouldn't be any compatibility issues since the two mods change different things, but if the Community Patch changes ability text, or adds new abilities or something akin to that then the only thing that will happen is that you wont get the new colourizations of those skills.

      But yeah, place Enhanced User Interface above the Community Patch in the mod list and you'll be fine I think.
  7. VileOcelot
    VileOcelot
    • member
    • 1 posts
    • 0 kudos
    Hi

    i just got the mod installed, good stuff. quick question though, would you know why i dont have colored texts? like for will or reflex related affects for example, in the mod sample pictures posted they are purple or blue but in my game everything is in white. except for when i go to my equipment menu, the stats beneath the character to the left are colored. this was before installing the mod btw but i thought i can ask.
    1. Spherikal
      Spherikal
      • supporter
      • 167 posts
      • 20 kudos
      Hi, do you mind providing a screenshot of the bug? Makes tracking down what might've gone wrong a lot easier.
    2. Assicore
      Assicore
      • premium
      • 3 posts
      • 0 kudos
      Hi,

      same problem here.
      Anything doesn't work.

      German: https://ibb.co/kX0ssg9
      Englisch: https://ibb.co/M886Ss3

      So german version is more broken. Booth not like in the sample.

      Installed this Mod in Pillars of Eternity II\PillarsOfEternityII_Data\override

      Thanks for this help and this fantastic mod.

      greetings
    3. Spherikal
      Spherikal
      • supporter
      • 167 posts
      • 20 kudos
      I'm not sure what the problem is, it looks like it should in the English version?



      I'm afraid I'm not in charge of the German version so I can't provide any support for that one.
  8. xenotomix
    xenotomix
    • supporter
    • 8 posts
    • 0 kudos
    Just a question: is this updated to v5.0.0.0040? Vortex tells me it's deprecated, as in incompatible with the current version, and in-game, some traits or skills are labeled as "missing string" and some numbers after.
    1. Spherikal
      Spherikal
      • supporter
      • 167 posts
      • 20 kudos
      Yes it's updated. What traits and/or skills have missing strings? This mod should not produce that kind of error. Are you running any other mods?

      Re: the Vortex - no idea about that one. I don't use that program myself so I don't know why it'd say this mod is deprecated.
  9. HelisiumBR
    HelisiumBR
    • supporter
    • 1 posts
    • 0 kudos
    Should I put this before or after the Community Patch?
    1. Spherikal
      Spherikal
      • supporter
      • 167 posts
      • 20 kudos
      Doesn't matter, they change completely different things so no risk of incompatibility. Enjoy!
  10. Andreyua
    Andreyua
    • member
    • 15 posts
    • 0 kudos
    А есть русская версия?
    1. Spherikal
      Spherikal
      • supporter
      • 167 posts
      • 20 kudos
      Нет простите. Попробуй это: https://www.nexusmods.com/pillarsofeternity2/mods/42
  11. AndreaColombo
    AndreaColombo
    • member
    • 94 posts
    • 1 kudos
    Hi Spherikal,

    Faith Attuned lashes from Priests' spiritual weapons start off at 20% and scale with the Watcher's disposition scores. However, within the spiritual weapons' description these lashes are marked as a fixed 20%; the number never changes with dispositions and hovering over it doesn't bring up any pop-ups with the variables influencing the end result (as is usually the case with dynamic numbers.)

    Would it be possible to rectify this and make these lashes show their actual current value, as well as the hover-on pop-up that shows what is influencing them?
    1. Spherikal
      Spherikal
      • supporter
      • 167 posts
      • 20 kudos
      I've managed to get it to work like you wanted but I won't be able to implement it into the mod since it requires two additional *.gamedatabundle files to be added to the mod (and I want to avoid using those as much as possible).

      I did however make the changes anyway just didn't include them in the mod. Here is the download link. Install it as you would any other mod (by dropping the mod folder into your "override" directory).

      The only way I could get it to work was to rework how Faith Attuned is handled by the game, it shouldn't change how the ability works or impact future or current saves, so it's safe to use. I should note though that this mod wont work if you have any challenges enabled, just a heads up.

      Enjoy!
    2. AndreaColombo
      AndreaColombo
      • member
      • 94 posts
      • 1 kudos
      Thank you very much for this!
      Out of interest, how come the challenges prevent this from working?
    3. Spherikal
      Spherikal
      • supporter
      • 167 posts
      • 20 kudos
      You're welcome! Once I figured out what was causing the issue I didn't take long to put it all together :)

      The reason it would stop working is because Challenges disable all *.gamedatabundle files from loading. This was made (by Obisidian) to prevent people from cheating their way through the Challenges since changing those files will give you almost complete control of the difficulty level. (Want to start with 50 ability points? Not a problem! Want all enemies to have -100 in accuracy? Sure thing!)

      Here's an example of what I mean (taken from one of my unreleased projects), what's of interest is the number that follows the "CharacterCreationAttributePoints" component. (I changed it from 15 ability points at start to 25)

      There probably are some ways to circumvent this by making changes to the Assembly-CSharp.dll-file but that's way over my league in terms of coding.

      Anyway, that's the reason I try to avoid using *.gamedatabundle files in this mod, it's to allow people to play whichever way they want and still be able to use the "Enhanced User Interface"-mod without any issues.
    4. AndreaColombo
      AndreaColombo
      • member
      • 94 posts
      • 1 kudos
      I tried this yesterday in my current play through, which includes Galawain's challenge, and it seems to be working just fine :)

      IIRC, challenges were initially made to disable all mods but that was changed in a subsequent patch owing to players' request. Now only The Ultimate forces all mods to be disabled, so good news for the Faith Attuned modification!
  12. Spherikal
    Spherikal
    • supporter
    • 167 posts
    • 20 kudos
    Locked
    Enhanced User Interface
    Mod version: 1.6.6 | Game version: 5.0

    Changelog
    Mod version 1.6.6
    - Removed colorization of some text elements (health numbers).
    - Fixed a few spelling mistakes (the paladin/fighter becomes resistant to...)
    - Slightly increased the distance of text that follows after the health icon.
    - Removed erroneous stylization of "Brilliant Tactician" and "Roguish Charm".
    - Fixed two cases of unclosed <line-height> tags.
    - Fixed two cases of using "<" instead of ">".
    - Removed alpha levels of the Health icon because it currently breaks the UI.
    - Fixed the item/ability description of Nebula to look a bit better.
    - Fixed two instances of using the wrong code for a non-breaking space.
    - Removed some stylization of an ability due to the text being "too crowded".
    - Added a missing "<" in two entries, should fix a issue with the "Blind" and "Disoriented" affliction tooltips.
    Mod version 1.6.5
    - Updated the mod for game version 5.0.
    - Fixed an graphical glitch with the Health icons. They should work properly now but please let me know if you run into any issues.
    Mod version 1.6.1
    - Updated the mod for game version 4.1.1.
    - Edited a cyclopedia entry to reflect the changes to the Graze mechanic that was implemented in game version 4.1.1 (cyclopedia.stringtables).
    Mod version 1.6.0
    - Updated the mod for the new Turn Based game mode.
    - Fixed the manifest file that might have caused some errors.

    Bugs
    Any bugs you might encounter should be reported at our bugs section.

    Feedback
    If you have any feedback regarding this version of the mod please reply to this post (don't create a new thread).

    Archive
    - Mod Version 1.5 (Changelog)
    - Mod Version 1.4 (Changelog)

    The Enhanced User Interface isn't endorsed by Obsidian Entertainment, Inc. and doesn't reflect the views or opinions of Obsidian Entertainment, Inc. or anyone officially involved with making Pillars of Eternity. Pillars of Eternity and Obsidian Entertainment and all related logos are trademarks or registered trademarks of Obsidian Entertainment, Inc. Pillars of Eternity © 2015 Obsidian Entertainment, Inc.
    1. DrunkenFiist
      DrunkenFiist
      • premium
      • 108 posts
      • 0 kudos
      There's a slight problem. When hovering over the blinded status effect in ability previews there's a line that says: <line-height=100%

      This isn't on any of the other status effects so is obviously a bug. Could you please fix it in the next patch?
    2. Spherikal
      Spherikal
      • supporter
      • 167 posts
      • 20 kudos
      Certainly, what ability is it that shows that text (and yeah, that's a bug)?
    3. DrunkenFiist
      DrunkenFiist
      • premium
      • 108 posts
      • 0 kudos
      It seems to be for all abilities. Here's a couple of screenshots to clarify.

      https://imgur.com/a/sFA0JP5
    4. Spherikal
      Spherikal
      • supporter
      • 167 posts
      • 20 kudos
      Thanks! I think I found what the issue is. Will upload the new version later today!*
      *if everything goes according to plan.
      Edit: Should be fixed in version 1.6.6, but please let me know if the problem still persists.
    5. DrunkenFiist
      DrunkenFiist
      • premium
      • 108 posts
      • 0 kudos
      The fix seems to have worked. Thank you for your fast response and fix. I'll let you know if there's any more issues I come across. Endorsed!
    6. Spherikal
      Spherikal
      • supporter
      • 167 posts
      • 20 kudos
      Great! Glad to hear it worked! I always appreciate bug reports since they are very hard to track down on your own (and I don't really play PoE anymore).